package actor

import (
	"time"
	//"github.com/gogo/protobuf/proto"
)

type Grain[V any] interface {
	GetId() uint64
	//Apply(content proto.Message, isReplay bool) (*V, error)
	GetLastAccess() time.Time
	GetLastChange() time.Time
	GetCurrentState() (*V, error)
}
